Show / Hide Table of Contents

# Struct Framework

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Framework

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Framework

### Fields

| Improve this Doc View Source

#### DevConfig

##### Declaration

    public DevConfig DevConfig

##### Field Value

Type | Description
--- | ---
DevConfig |

| Improve this Doc View Source

#### EnableNetworking

##### Declaration

    public bool EnableNetworking

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### EorzeaTime

##### Declaration

    public long EorzeaTime

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### ExcelModuleInterface

##### Declaration

    public ExcelModuleInterface*ExcelModuleInterface

##### Field Value

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### ExdModule

##### Declaration

    public ExdModule*ExdModule

##### Field Value

Type | Description
--- | ---
ExdModule* |

| Improve this Doc View Source

#### FrameDeltaTime

##### Declaration

    public float FrameDeltaTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FrameRate

##### Declaration

    public float FrameRate

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GameVersion

##### Declaration

    public GameVersion GameVersion

##### Field Value

Type | Description
--- | ---
GameVersion |

| Improve this Doc View Source

#### IsNetworkModuleInitialized

##### Declaration

    public bool IsNetworkModuleInitialized

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LuaState

##### Declaration

    public LuaState LuaState

##### Field Value

Type | Description
--- | ---
LuaState |

| Improve this Doc View Source

#### ServerTime

##### Declaration

    public long ServerTime

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### SystemConfig

##### Declaration

    public SystemConfig SystemConfig

##### Field Value

Type | Description
--- | ---
SystemConfig |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### WindowInactive

##### Declaration

    public bool WindowInactive

##### Field Value

Type | Description
--- | ---
System.Boolean |

### Properties

| Improve this Doc View Source

#### UserPath

##### Declaration

    public readonly string UserPath { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### GetServerTime()

##### Declaration

    public static long GetServerTime()

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### GetUiModule()

##### Declaration

    public UIModule*GetUiModule()

##### Returns

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static Framework*Instance()

##### Returns

Type | Description
--- | ---
Framework* |